Vyšel Prestashop v1.7.8

Je tu nová verze Prestashopu a proč stojí za to se o této verzi vlastně zmiňovat? Protože přináší podporu pro verze PHP 7.4 a to je více než dobrá zpráva! Zvláště ve světle starších verzí, které již nejsou nadále podporovány. Co to pro provozovatele webů vlastně znamená? Na první pohled aplikace běží, tak proč se něčím takovým vůbec zabývat? Jednoduše proto, že v případě, že se objeví jakákoliv bezpečnostní chyba v dané verzi, již nebude opravena a to může znamenat značné bezpečnostní riziko. Doporučuji tedy provést migraci co nejdříve, verze PHP 7.4 bude podporována do 28. 11. 2022, přehled podporavných verzí najdete zde https://www.php.net/supported-versions.php

Kompatibilita Prestashopu s touto verzí je jedna věc, ale další velkou kapitolou jsou samotné moduly třetích stran. I tady je totiž nutné zajistit jejich update, aby s novou verzí korektně fungovaly. Z praxe často vídám, že modul se sice tváří jako plně funkční, nicméně často generuje chyby, kterými blokuje ostatní moduly, čímž ve výsledku trpí celý web. Nepodceňujte tuto situaci a i samotné moduly si pohlídejte, ono vás to časem stejně dožene.

 

Napsat komentář

Vaše e-mailová adresa nebude zveřejněna.